# TdApi.LanguagePackStringValuePluralized (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: LanguagePackStringValuePluralized

Package it.tdlight.jni

# Class TdApi.LanguagePackStringValuePluralized

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.LanguagePackStringValue
it.tdlight.jni.TdApi.LanguagePackStringValuePluralized

Enclosing class:
  TdApi

    public static class TdApi.LanguagePackStringValuePluralized
    extends TdApi.LanguagePackStringValue

A language pack string which has different forms based on the number of some object it mentions. See https://www.unicode.org/cldr/charts/latest/supplemental/language_plural_rules.html for more info.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`String` | `fewValue` | Value for few objects.
`String` | `manyValue` | Value for many objects.
`String` | `oneValue` | Value for one object.
`String` | `otherValue` | Default value.
`String` | `twoValue` | Value for two objects.
`String` | `zeroValue` | Value for zero objects.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`LanguagePackStringValuePluralized()` | A language pack string which has different forms based on the number of some object it mentions.
`LanguagePackStringValuePluralized​(DataInput input)` |
`LanguagePackStringValuePluralized​(String zeroValue, String oneValue, String twoValue, String fewValue, String manyValue, String otherValue)` | A language pack string which has different forms based on the number of some object it mentions.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### zeroValue

public String zeroValue
Value for zero objects.

### oneValue

public String oneValue
Value for one object.

### twoValue

public String twoValue
Value for two objects.

### fewValue

public String fewValue
Value for few objects.

### manyValue

public String manyValue
Value for many objects.

### otherValue

public String otherValue
Default value.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### LanguagePackStringValuePluralized

public LanguagePackStringValuePluralized()
A language pack string which has different forms based on the number of some object it mentions. See https://www.unicode.org/cldr/charts/latest/supplemental/language_plural_rules.html for more info.

### LanguagePackStringValuePluralized

public LanguagePackStringValuePluralized​(String zeroValue, String oneValue, String twoValue, String fewValue, String manyValue, String otherValue)
A language pack string which has different forms based on the number of some object it mentions. See https://www.unicode.org/cldr/charts/latest/supplemental/language_plural_rules.html for more info.

Parameters:
  `zeroValue` - String Value for zero objects.
  `oneValue` - String Value for one object.
  `twoValue` - String Value for two objects.
  `fewValue` - String Value for few objects.
  `manyValue` - String Value for many objects.
  `otherValue` - String Default value.

### LanguagePackStringValuePluralized

public LanguagePackStringValuePluralized​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`